Skip to main content
`Ctrl`+`K`

# load_unaligned_seqs

load_unaligned_seqs(filename: str | Path, format_name: str | None = None, moltype: MolTypeLiteral = 'text', label_to_name: Callable[[str], str] | None = None, parser_kw: dict | None = None, info: dict | None = None, **kwargs: Any) → SequenceCollection

  loads unaligned sequences from file

  Parameters:
    filename

      path to sequence file or wildcard / glob pattern (e.g. ‘path/to/dir/*.fasta’). If a wildcard, we load one sequence per file. All seqs returned in one SequenceCollection.

    format_name

      sequence file format, if not specified tries to guess from the path suffix

    moltype

      the moltype, eg DNA, PROTEIN, ‘dna’, ‘protein’

    label_to_name

      function for converting original name into another name.

    parser_kw

      optional arguments for the parser

    info

      a dict from which to make an info object

    **kwargs

      other keyword arguments passed to SequenceCollection, or show_progress. The latter induces a progress bar for number of files processed when filename is a glob pattern.

  Returns:
    `SequenceCollection`